## ros-kinetic-cob-msgs 0.7.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_msgs)
find_package(catkin REQUIRED COMPONENTS diagnostic_msgs message_generation std_msgs)

add_message_files(FILES
  AccessPoint.msg
  DashboardState.msg
  EmergencyStopState.msg
  Network.msg
  PowerState.msg
  SiteSurvey.msg
)

generate_messages(DEPENDENCIES diagnostic_msgs std_msgs)

catkin_package(CATKIN_DEPENDS diagnostic_msgs message_runtime std_msgs)

=== debian/changelog ===
ros-kinetic-cob-msgs (0.7.4-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 19 Nov 2020 23:00:00 -0000

ros-kinetic-cob-msgs (0.7.3-1xenial) xenial; urgency=high

  * Merge pull request #288 <https://github.com/ipa320/cob_common/issues/288> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 25 Sep 2020 22:00:00 -0000

ros-kinetic-cob-msgs (0.7.2-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-msgs (0.7.1-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-msgs (0.7.0-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-msgs (0.6.12-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 19 May 2019 22:00:00 -0000

ros-kinetic-cob-msgs (0.6.11-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-cob-msgs (0.6.10-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-msgs (0.6.9-1xenial) xenial; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-msgs (0.6.8-1xenial) xenial; urgency=high

  * Merge pull request #246 <https://github.com/ipa320/cob_common/issues/246> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #230 <https://github.com/ipa320/cob_common/issues/230> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #224 <https://github.com/ipa320/cob_common/issues/224> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-msgs (0.6.7-1xenial) xenial; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-kinetic-cob-msgs (0.6.6-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-msgs (0.6.5-1xenial) xenial; urgency=high

  * Update package.xml
  * cleanup dashboard message
  * rework messages
  * remove unused messages
  * Contributors: Florian Weisshardt, ipa-fmw

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-msgs (0.6.4-1xenial) xenial; urgency=high

  * remove trailing whitespaces
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-kinetic-cob-msgs (0.6.3-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-kinetic-cob-msgs (0.6.2-1xenial) xenial; urgency=high

  * add new msgs
  * Contributors: ipa-nhg

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-kinetic-cob-msgs (0.6.1-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 23 Sep 2014 22:00:00 -0000

ros-kinetic-cob-msgs (0.6.0-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 15 Sep 2014 22:00:00 -0000

ros-kinetic-cob-msgs (0.5.5-1xenial) xenial; urgency=high

  * catkin_lint'ing
  * move EmergencyStopState.msg to cob_msgs
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 26 Aug 2014 22:00:00 -0000

ros-kinetic-cob-msgs (0.5.4-1xenial) xenial; urgency=high

  * add maintainer
  * update changelog
  * introducing cob_msgs package in order to replace pr2_msgs
  * Contributors: Felix Messmer, Florian Weisshardt

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-kinetic-cob-msgs (0.5.3-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-kinetic-cob-msgs (0.5.2-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 26 Mar 2014 23:00:00 -0000

ros-kinetic-cob-msgs (0.5.1-1xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 16 Aug 2013 02:14:35 +0200

ros-kinetic-cob-msgs (0.5.0-1xenial) xenial; urgency=high

  * merge with ipa320
  * delete cob_msgs
  * moved messages
  * moved msgs and srvs to according packages in cob3_intern
  * merge with ipa320
  * dep to actionlib_msgs
  * update stacks
  * moved ultiple message files out of cob_msgs to their own packages
  * moved light message to cob_light
  * JSF: Added new messages
  * update msg description
  * new msg/srv definitions for sensor fusion
  * use std_msgs/Header instead of Header in cob_msg and cob_srvs due to upcoming deprecation
  * new pause script state
  * new services for cob_full_ik_solver
  * new Message for GraspPlanner
  * cleanup in simulation and common
  * grasp script optimisations
  * testing cart interface
  * bugfix
  * restructured script_server, put more functionality to action handle
  * live script_viewer is working
  * defined script messages
  * update documentation
  * merge with cpc
  * added Person-Msg Types
  * Merge branch 'master' into cpc-fm
  * addapted messages for person association
  * added move action to cob_msgs
  * changed actions
  * changes on light controller
  * new package for lights, not working yet
  * clean up in cob_common stack
  * Tactile sensors
  * merge
  * added TactileMatrix message, bugfix on grid view
  * removed bug
  * JointCommand action for sdh
  * removed non ASCII character from Emergency Stop message
  * modifications to cob_relayboard
  * JSF: Adapted service parameters


=== debian/control ===
Source: ros-kinetic-cob-msgs
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-diagnostic-msgs, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-cob-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-diagnostic-msgs, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: Messages for representing state information, such as battery information and emergency stop status.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
